import type { _NSCoder } from "../Foundation/NSCoder.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { MKCoordinateRegion } from "../structs/MKCoordinateRegion.js";
import type { MKMapRect } from "../structs/MKMapRect.js";
export declare class _MKMapCameraBoundary extends _NSObject {
    static alloc(): _MKMapCameraBoundary;
    static new(): _MKMapCameraBoundary;
    init(): _MKMapCameraBoundary;
    initWithMapRect$(mapRect: MKMapRect): _MKMapCameraBoundary | null;
    initWithCoordinateRegion$(region: MKCoordinateRegion): _MKMapCameraBoundary | null;
    initWithCoder$(coder: _NSCoder): _MKMapCameraBoundary | null;
    mapRect(): MKMapRect;
    region(): MKCoordinateRegion;
}
export interface _MKMapCameraBoundary extends _NSCopying {
}
